/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: InitializationError.java,v 1.2 2005/07/23 18:51:21 ppoi Exp $
 */
package tsukuba_bunko.peko;

import	java.io.PrintStream;
import	java.io.PrintWriter;


/**
 * sƂʒmvIOłB
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 */
public class InitializationError	extends Error	{

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= -2744308972387830412L;

	/**
	 * ɂȂOIuWFNg
	 */
	private Throwable	_base = null;


	/**
	 * <code>InitializationError</code> ̃CX^X쐬܂B
	 */
	public InitializationError()
	{
		super();
	}

	/**
	 * <code>InitializationError</code> ̃CX^X쐬܂B
	 * @param	message	G[bZ[W
	 */
	public InitializationError( String message )
	{
		super( message );
	}

	/**
	 * <code>InitializationError</code> ̃CX^X쐬܂B
	 * @param	e	ɂȂOIuWFNg
	 */
	public InitializationError( Throwable e )
	{
		super( e.getMessage() );
		_base = e;
	}

	/**
	 * <code>InitializationError</code> ̃CX^X쐬܂B
	 * @param	message	G[bZ[W
	 * @param	e	ɂȂOIuWFNg
	 */
	public InitializationError( String message, Throwable e )
	{
		super( message );
		_base = e;
	}


//
//	Throwable ̎
//
	public void printStackTrace()
	{
		super.printStackTrace();
		if( _base != null )	{
			System.err.println( "source exception: " + _base.getClass().getName() );
			_base.printStackTrace();
		}
	}

	public void printStackTrace( PrintStream ps )
	{
		super.printStackTrace( ps );
		if( _base != null )	{
			ps.println( "source exception: " + _base.getClass().getName() );
			_base.printStackTrace( ps );
		}
	}

	public void printStackTrace( PrintWriter pw )
	{
		super.printStackTrace();
		if( _base != null )	{
			pw.println( "source exception: " + _base.getClass().getName() );
			_base.printStackTrace( pw );
		}
	}
}