/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: NextSceneMapping.java,v 1.2 2005/07/23 18:56:03 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario;

import	java.io.Serializable;

import	java.util.Iterator;
import	java.util.List;
import	java.util.Map;

import	tsukuba_bunko.peko.Logger;


/**
 * @author	${Author}$
 * @version	${Revision}$
 */
public class NextSceneMapping	implements Serializable	{

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= -3896489854104011813L;

	/**
	 * ]̏
	 */
	private List	_conditionList = new java.util.ArrayList();

	/**
	 * V[Jڐ\
	 */
	private Map	_nextScenes = new java.util.HashMap();


	/**
	 * <code>NextSceneMapping</code> ̃CX^X𐶐܂B
	 */
	public NextSceneMapping()
	{
	}


	public void addNextSceneMapping( String condition, String nextScene )
	{
		if( _conditionList.contains(condition) )	{
			Logger.warn( MessageIDs.SCN0010W, new Object[]{condition, _nextScenes.get(condition), nextScene} );
		}
		else	{
			_conditionList.add( condition );
			_nextScenes.put( condition, nextScene );
		}
	}

	public void setDefaultSceneMapping( String nextScene )
	{
		setDefaultSceneMapping( nextScene, true );
	}

	public void setDefaultSceneMapping( String nextScene, boolean warn )
	{
		if( _nextScenes.containsKey(null) && warn )	{
			Logger.warn( MessageIDs.SCN0010W, new Object[]{"_default_", _nextScenes.get(null), nextScene} );
		}
		else	{
			_nextScenes.put( null, nextScene );
		}
	}

	public String getNextScene( SceneContext context )
	{
		Iterator	itr = _conditionList.iterator();
		String	condition = null;
		while( itr.hasNext() )	{
			condition = (String)itr.next();
			if( PSMLUtil.isEvaluatable(condition, context) )	{
				return (String)_nextScenes.get( condition );
			}
		}
		return (String)_nextScenes.get( null );
	}
}